Subject: [Tools-discuss] Github template for drafts

From: Martin Thomson <[email-masked]>
Date: Wed, 29 Oct 2014 21:02:40 -0700

I've been using github for managing my drafts for a while now.  Github
has been particularly successful in attracting and managing some
fairly broad collaboration in HTTP/2, and several other working groups
are now successfully using the model.

I've prepared a template that makes putting a repository together
extremely simple:

  https://github.com/martinthomson/i-d-template

This has now been used successfully by several people, some of whom
had no background in this at all.  Now I'm sharing this more widely,
since it seems to be pretty stable.

A feature of note is that it can integrate with a continuous
integration system, so you can't bust a draft without noticing
quickly.  It can also automatically generate a nice web page, e.g.,
https://unicorn-wg.github.io/sslv3-diediedie/

And it's on github, so of course it's open to new contributions.